Saltar al contenido principal
GET
/
v1
/
dict
/
funds-recoveries
/
{funds_recovery_id}
/
tracking-graph
Recuperar el grafo de rastreo
curl --request GET \
  --url https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries/{funds_recovery_id}/tracking-graph \
  --header 'Authorization: Bearer <token>'
{
  "accounts": [
    {
      "id": 1,
      "openingDate": "2020-01-15",
      "ownerId": 1,
      "participant": "12345678"
    }
  ],
  "creationTime": "2023-11-07T05:31:56Z",
  "fundsRecoveryId": "550e8400-e29b-41d4-a716-446655440000",
  "parameters": {
    "hopWindow": "PT24H",
    "maxHops": 5,
    "maxTransactions": 500,
    "minTransactionAmount": "200.00"
  },
  "persons": [
    {
      "entityCreationDate": "2020-01-15",
      "id": 1,
      "type": "NATURAL_PERSON"
    }
  ],
  "rootTransactionId": "E12345678202411241430ABCDEFGHIJK",
  "transactions": [
    {
      "amount": 1000.5,
      "creditorAccountId": 2,
      "debtorAccountId": 1,
      "id": "E12345678202411241430ABCDEFGHIJK",
      "refundableAmount": 1000.5,
      "settlementTime": "2023-11-07T05:31:56Z"
    }
  ]
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

funds_recovery_id
string
requerido

ID de la recuperación de fondos (formato UUID)

Parámetros de consulta

min_transaction_amount
string

Monto mínimo de transacción que se incluirá en el grafo

max_transactions
integer

Cantidad máxima de transacciones que se incluirán

hop_window
string

Ventana de tiempo para el análisis de saltos (duración ISO 8601)

max_hops
integer

Cantidad máxima de saltos que se seguirán

Respuesta

OK

accounts
object[]
creationTime
string<date-time>
Ejemplo:

"2023-11-07T05:31:56Z"

fundsRecoveryId
string
Ejemplo:

"550e8400-e29b-41d4-a716-446655440000"

parameters
object
persons
object[]
rootTransactionId
string
Ejemplo:

"E12345678202411241430ABCDEFGHIJK"

transactions
object[]